summaryrefslogtreecommitdiff
path: root/t/t3305-notes-fanout.sh
diff options
context:
space:
mode:
authorEric Sunshine <sunshine@sunshineco.com>2021-12-09 00:11:12 -0500
committerJunio C Hamano <gitster@pobox.com>2021-12-13 10:29:48 -0800
commitdb5875aa9fe056c2db3a463989091c5f70d6c8d1 (patch)
tree7009932d4396e0928ca5926ac985e30f1dcce33a /t/t3305-notes-fanout.sh
parentefe26b9ee09d53dda0f36d0ea20cb245b934f216 (diff)
downloadgit-db5875aa9fe056c2db3a463989091c5f70d6c8d1.tar.gz
t0000-t3999: detect and signal failure within loop
Failures within `for` and `while` loops can go unnoticed if not detected and signaled manually since the loop itself does not abort when a contained command fails, nor will a failure necessarily be detected when the loop finishes since the loop returns the exit code of the last command it ran on the final iteration, which may not be the command which failed. Therefore, detect and signal failures manually within loops using the idiom `|| return 1` (or `|| exit 1` within subshells). Signed-off-by: Eric Sunshine <sunshine@sunshineco.com> Reviewed-by: Elijah Newren <newren@gmail.com> Signed-off-by: Junio C Hamano <gitster@pobox.com>
Diffstat (limited to 't/t3305-notes-fanout.sh')
-rwxr-xr-xt/t3305-notes-fanout.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/t/t3305-notes-fanout.sh b/t/t3305-notes-fanout.sh
index 94c1b02251..836b6f22bf 100755
--- a/t/t3305-notes-fanout.sh
+++ b/t/t3305-notes-fanout.sh
@@ -57,7 +57,7 @@ test_expect_success 'many notes created correctly with git-notes' '
do
echo " commit #$i" &&
echo " note #$i" &&
- i=$(($i - 1));
+ i=$(($i - 1)) || return 1
done > expect &&
test_cmp expect output
'
@@ -106,7 +106,7 @@ test_expect_success 'most notes deleted correctly with git-notes' '
do
echo " commit #$i" &&
echo " note #$i" &&
- i=$(($i - 1));
+ i=$(($i - 1)) || return 1
done > expect &&
test_cmp expect output
'